seriea — Core API
81 endpoints on sdv.seriea. Each is exposed under a camelCase canonical name and a snake_case alias (py/R parity), accepts snake_case or camelCase params, and returns raw ESPN JSON by default ({ parsed: true } for tidy rows).
espnSerieaAthleteAwards
SERIEA — athlete awards (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/athletes/{athlete_id}/awards
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaAthleteAwards({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_athlete_awards(...)
espnSerieaAthleteCareerStats
SERIEA — athlete career stats (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/athletes/{athlete_id}/statistics[/{stat_type}]
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
{stat_type} | stat_type | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaAthleteCareerStats({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_athlete_career_stats(...)
espnSerieaAthleteContracts
SERIEA — athlete contracts (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/athletes/{athlete_id}/contracts
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaAthleteContracts({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_athlete_contracts(...)
espnSerieaAthleteCore
SERIEA — athlete core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/athletes/{athlete_id}
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaAthleteCore({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_athlete_core(...)
espnSerieaAthleteEventlog
SERIEA — athlete eventlog (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/athletes/{athlete_id}/eventlog
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaAthleteEventlog({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_athlete_eventlog(...)
espnSerieaAthleteInjuries
SERIEA — athlete injuries (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/athletes/{athlete_id}/injuries
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_injuries):
| col_name | type | description |
|---|---|---|
id | character | |
display_name | character | |
injuries | character |
Example:
await sdv.seriea.espnSerieaAthleteInjuries({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_athlete_injuries(...)
espnSerieaAthleteNotes
SERIEA — athlete notes (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/athletes/{athlete_id}/notes
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaAthleteNotes({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_athlete_notes(...)
espnSerieaAthleteRecords
SERIEA — athlete records (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/athletes/{athlete_id}/records
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaAthleteRecords({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_athlete_records(...)
espnSerieaAthleteSeasons
SERIEA — athlete seasons (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/athletes/{athlete_id}/seasons
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaAthleteSeasons({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_athlete_seasons(...)
espnSerieaAthleteStatisticslog
SERIEA — athlete statisticslog (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/athletes/{athlete_id}/statisticslog
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaAthleteStatisticslog({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_athlete_statisticslog(...)
espnSerieaAthleteVsAthlete
SERIEA — athlete vs athlete (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/athletes/{athlete_id}/vsathlete/{opp_id}
| API param | JS | required | description |
|---|---|---|---|
{athlete_id} | athlete_id | yes | path parameter |
{opp_id} | opp_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaAthleteVsAthlete({ athlete_id: '…', opp_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_athlete_vs_athlete(...)
espnSerieaAthletesIndex
SERIEA — athletes index (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/athletes
| API param | JS | required | description |
|---|---|---|---|
active | active | no | query parameter (default true) |
limit | limit | no | query parameter (default 100) |
page | page | no | query parameter (default 1) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaAthletesIndex({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_athletes_index(...)
espnSerieaAward
SERIEA — award (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/awards/{award_id}
| API param | JS | required | description |
|---|---|---|---|
{award_id} | award_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaAward({ award_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_award(...)
espnSerieaAwards
SERIEA — awards (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/awards
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaAwards({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_awards(...)
espnSerieaCoach
SERIEA — coach (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/coaches/{coach_id}
| API param | JS | required | description |
|---|---|---|---|
{coach_id} | coach_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaCoach({ coach_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_coach(...)
espnSerieaCoachRecord
SERIEA — coach record (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/coaches/{coach_id}/record/{record_type}
| API param | JS | required | description |
|---|---|---|---|
{coach_id} | coach_id | yes | path parameter |
{record_type} | record_type | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaCoachRecord({ coach_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_coach_record(...)
espnSerieaCoachSeason
SERIEA — coach season (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/coaches/{coach_id}/seasons/{season}
| API param | JS | required | description |
|---|---|---|---|
{coach_id} | coach_id | yes | path parameter |
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaCoachSeason({ coach_id: '…', season: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_coach_season(...)
espnSerieaEvent
SERIEA — event (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaEvent({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event(...)
espnSerieaEventBroadcasts
SERIEA — event broadcasts (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/broadcasts
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaEventBroadcasts({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_broadcasts(...)
espnSerieaEventCompetition
SERIEA — event competition (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaEventCompetition({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_competition(...)
espnSerieaEventCompetitor
SERIEA — event competitor (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/competitors/{team_id}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaEventCompetitor({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_competitor(...)
espnSerieaEventCompetitorLeaders
SERIEA — event competitor leaders (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/leaders
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaEventCompetitorLeaders({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_competitor_leaders(...)
espnSerieaEventCompetitorLinescores
SERIEA — event competitor linescores (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/linescores
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_event_competitor_linescores); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaEventCompetitorLinescores({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_competitor_linescores(...)
espnSerieaEventCompetitorRecord
SERIEA — event competitor record (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/record
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaEventCompetitorRecord({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_competitor_record(...)
espnSerieaEventCompetitorRoster
SERIEA — event competitor roster (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/roster
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_event_competitor_roster); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaEventCompetitorRoster({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_competitor_roster(...)
espnSerieaEventCompetitorStatistics
SERIEA — event competitor statistics (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/statistics
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{team_id} | team_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_event_competitor_statistics):
| col_name | type | description |
|---|---|---|
split_name | character | Split / season-segment name |
category_name | character | Statistic category name |
stat_name | character | Statistic name |
stat_abbreviation | character | Statistic abbreviation |
stat_value | number | Numeric statistic value |
stat_display_value | character | Formatted statistic value |
stat_description | character | Statistic description |
Example:
await sdv.seriea.espnSerieaEventCompetitorStatistics({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_competitor_statistics(...)
espnSerieaEventCompetitors
SERIEA — event competitors (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/competitors
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaEventCompetitors({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_competitors(...)
espnSerieaEventLeaders
SERIEA — event leaders (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/leaders
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaEventLeaders({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_leaders(...)
espnSerieaEventOdds
SERIEA — event odds (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/odds
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaEventOdds({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_odds(...)
espnSerieaEventOfficialDetail
SERIEA — event official detail (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/officials/{official_id}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{official_id} | official_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaEventOfficialDetail({ event_id: '…', official_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_official_detail(...)
espnSerieaEventOfficials
SERIEA — event officials (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/officials
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaEventOfficials({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_officials(...)
espnSerieaEventPlay
SERIEA — event play (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/plays/{play_id}
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{play_id} | play_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaEventPlay({ event_id: '…', play_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_play(...)
espnSerieaEventPlayPersonnel
SERIEA — event play personnel (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/plays/{play_id}/personnel
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{play_id} | play_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaEventPlayPersonnel({ event_id: '…', play_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_play_personnel(...)
espnSerieaEventPlays
SERIEA — event plays (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/plays
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
limit | limit | no | query parameter (default 1000) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_event_plays); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaEventPlays({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_plays(...)
espnSerieaEventPowerindex
SERIEA — event powerindex (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/powerindex
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaEventPowerindex({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_powerindex(...)
espnSerieaEventPredictor
SERIEA — event predictor (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/predictor
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaEventPredictor({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_predictor(...)
espnSerieaEventProbabilities
SERIEA — event probabilities (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/probabilities
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
limit | limit | no | query parameter (default 300) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaEventProbabilities({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_probabilities(...)
espnSerieaEventPropbets
SERIEA — event propbets (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/propbets
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaEventPropbets({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_propbets(...)
espnSerieaEventScoringplays
SERIEA — event scoringplays (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/scoringplays
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaEventScoringplays({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_scoringplays(...)
espnSerieaEventSituation
SERIEA — event situation (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/situation
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaEventSituation({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_situation(...)
espnSerieaEventStatus
SERIEA — event status (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events/{event_id}/competitions/{cid}/status
| API param | JS | required | description |
|---|---|---|---|
{event_id} | event_id | yes | path parameter |
{cid} | cid | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaEventStatus({ event_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_event_status(...)
espnSerieaEvents
SERIEA — events (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/events
| API param | JS | required | description |
|---|---|---|---|
dates | dates | no | query parameter |
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaEvents({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_events(...)
espnSerieaFranchise
SERIEA — franchise (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/franchises/{franchise_id}
| API param | JS | required | description |
|---|---|---|---|
{franchise_id} | franchise_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaFranchise({ franchise_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_franchise(...)
espnSerieaFranchises
SERIEA — franchises (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/franchises
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaFranchises({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_franchises(...)
espnSerieaLeadersCore
SERIEA — leaders core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/leaders
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaLeadersCore({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_leaders_core(...)
espnSerieaLeagueNotes
SERIEA — league notes (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/notes
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaLeagueNotes({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_league_notes(...)
espnSerieaLeagueRoot
SERIEA — league root (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaLeagueRoot({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_league_root(...)
espnSerieaPosition
SERIEA — position (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/positions/{position_id}
| API param | JS | required | description |
|---|---|---|---|
{position_id} | position_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaPosition({ position_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_position(...)
espnSerieaPositions
SERIEA — positions (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/positions
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaPositions({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_positions(...)
espnSerieaSeasonAthletes
SERIEA — season athletes (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/athletes
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
limit | limit | no | query parameter (default 100) |
page | page | no | query parameter (default 1) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonAthletes({ season: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_athletes(...)
espnSerieaSeasonAwards
SERIEA — season awards (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/awards
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonAwards({ season: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_awards(...)
espnSerieaSeasonCoaches
SERIEA — season coaches (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/coaches
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_coaches); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaSeasonCoaches({ season: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_coaches(...)
espnSerieaSeasonDraft
SERIEA — season draft (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/draft
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_draft); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaSeasonDraft({ season: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_draft(...)
espnSerieaSeasonDraftRoundPicks
SERIEA — season draft round picks (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/draft/rounds/{round_num}/picks
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{round_num} | round_num | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonDraftRoundPicks({ season: '…', round_num: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_draft_round_picks(...)
espnSerieaSeasonFreeagents
SERIEA — season freeagents (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/freeagents
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonFreeagents({ season: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_freeagents(...)
espnSerieaSeasonFutures
SERIEA — season futures (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/futures
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonFutures({ season: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_futures(...)
espnSerieaSeasonGroup
SERIEA — season group (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/types/{season_type}/groups/{group_id}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{group_id} | group_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaSeasonGroup({ season: '…', season_type: '…', group_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_group(...)
espnSerieaSeasonGroupChildren
SERIEA — season group children (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/types/{season_type}/groups/{group_id}/children
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{group_id} | group_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonGroupChildren({ season: '…', season_type: '…', group_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_group_children(...)
espnSerieaSeasonGroupTeams
SERIEA — season group teams (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/types/{season_type}/groups/{group_id}/teams
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{group_id} | group_id | yes | path parameter |
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonGroupTeams({ season: '…', season_type: '…', group_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_group_teams(...)
espnSerieaSeasonGroups
SERIEA — season groups (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/types/{season_type}/groups
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonGroups({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_groups(...)
espnSerieaSeasonInfo
SERIEA — season info (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaSeasonInfo({ season: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_info(...)
espnSerieaSeasonPointer
SERIEA — season pointer (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/season
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaSeasonPointer({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_pointer(...)
espnSerieaSeasonPowerindex
SERIEA — season powerindex (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/powerindex[/{team_id}]
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{team_id} | team_id | no | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonPowerindex({ season: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_powerindex(...)
espnSerieaSeasonPowerindexLeaders
SERIEA — season powerindex leaders (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/powerindex/leaders
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonPowerindexLeaders({ season: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_powerindex_leaders(...)
espnSerieaSeasonTeam
SERIEA — season team (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/teams/{team_id}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{team_id} | team_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaSeasonTeam({ season: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_team(...)
espnSerieaSeasonTeams
SERIEA — season teams (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/teams
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonTeams({ season: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_teams(...)
espnSerieaSeasonType
SERIEA — season type (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/types/{season_type}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaSeasonType({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_type(...)
espnSerieaSeasonTypeCorrections
SERIEA — season type corrections (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/types/{season_type}/corrections
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonTypeCorrections({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_type_corrections(...)
espnSerieaSeasonTypeLeaders
SERIEA — season type leaders (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/types/{season_type}/leaders
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonTypeLeaders({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_type_leaders(...)
espnSerieaSeasonTypes
SERIEA — season types (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/types
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonTypes({ season: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_types(...)
espnSerieaSeasonWeek
SERIEA — season week (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/types/{season_type}/weeks/{week}
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{week} | week | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaSeasonWeek({ season: '…', season_type: '…', week: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_week(...)
espnSerieaSeasonWeekEvents
SERIEA — season week events (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/types/{season_type}/weeks/{week}/events
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{week} | week | yes | path parameter |
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonWeekEvents({ season: '…', season_type: '…', week: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_week_events(...)
espnSerieaSeasonWeeks
SERIEA — season weeks (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons/{season}/types/{season_type}/weeks
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasonWeeks({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_season_weeks(...)
espnSerieaSeasons
SERIEA — seasons (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/seasons
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaSeasons({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_seasons(...)
espnSerieaStandingsCore
SERIEA — standings core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/standings
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_standings):
| col_name | type | description |
|---|---|---|
group_name | character | |
group_abbreviation | character | |
team_id | character | ESPN team id |
team_name | character | |
team_abbreviation | character | Team abbreviation |
team_display_name | character | Team display name |
team_location | character | |
team_logo | character | |
avg_points_against | number | |
avg_points_for | number | |
clincher | integer | |
differential | integer | |
division_win_percent | number | |
games_behind | integer | |
league_win_percent | number | |
losses | integer | |
playoff_seed | integer | |
point_differential | integer | |
points | integer | |
points_against | integer | |
points_for | integer | |
streak | integer | |
win_percent | number | |
wins | integer | |
games_ahead | integer | |
overall | character | |
home | character | |
road | character | |
vs_div | character | |
vs_conf | character | |
last_ten_games | character |
Example:
await sdv.seriea.espnSerieaStandingsCore({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_standings_core(...)
espnSerieaTalentpicks
SERIEA — talentpicks (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/talentpicks
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaTalentpicks({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_talentpicks(...)
espnSerieaTeamCore
SERIEA — team core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/teams/{team_id}
| API param | JS | required | description |
|---|---|---|---|
{team_id} | team_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaTeamCore({ team_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_team_core(...)
espnSerieaTeamsCore
SERIEA — teams core (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/teams
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 500) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_teams); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaTeamsCore({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_teams_core(...)
espnSerieaTournaments
SERIEA — tournaments (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/tournaments
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaTournaments({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_tournaments(...)
espnSerieaVenue
SERIEA — venue (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/venues/{venue_id}
| API param | JS | required | description |
|---|---|---|---|
{venue_id} | venue_id | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.
Example:
await sdv.seriea.espnSerieaVenue({ venue_id: '…' });
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_venue(...)
espnSerieaVenues
SERIEA — venues (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/ita.1/venues
| API param | JS | required | description |
|---|---|---|---|
limit | limit | no | query parameter (default 200) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.seriea.espnSerieaVenues({});
// snake_case alias (py/R parity): sdv.seriea.espn_seriea_venues(...)